Subject: RE: Help! Static route option

From: Eric Michelsen <[email-masked]>
Date: Mon, 24 Jan 2000 05:49:52 -0800

I believe this option is currently mandatory for configuring the default
route in a host, which is one of the basic critical parameters that any host
needs.  We use it that way, and require its presence for that purpose.

Oddly enough, in the default route case, defined by a destination address of
0.0.0.0, the netmask is meaningless, so I didn't even notice its absence.

Note, though, that there are many such examples scattered about the IP
standards.  RIPv1 has no masks, and yet it is still commonly used.  The mask
is derived from the IP address class (A, B, or C).  

Though somewhat confusing, perhaps a reasonable interpretation of the static
routes option is this: if the class-ful interpretation of the route has host
bits set, it's a host route.  Otherwise, it's a network route with the
class-ful mask.
-------------------------------------------
Eric L. Michelsen, Copper Mountain Networks 

> -----Original Message-----
> From: Ted Lemon [mailto:[email-masked]]
> Sent: Thursday, January 20, 2000 9:32
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: Help! Static route option 
> 
> 
> 
> > Although this option is to be superceded by an option with explicit
> > masks, we should come to consensus about an interpretation and
> > modify the text in the next rev of RFC2132.
> 
> Is there any reason not to just say it's deprecated?   Whichever of
> the two choices is correct, the option is really not useful - at this
> juncture, it is sheer coincidence if the "class" subnet mask and the
> classless subnet mask are the same, and sheer coincidence is a lousy
> basis for network protocols.   :')
> 
> 			       _MelloN_
>

---

From: Ted Lemon <[email-masked]>
Date: Mon, 24 Jan 2000 09:27:01 -0500

> route in a host

Actually, you can use the routers option to configure the default
route.  That's what, e.g., Windows 95 does.   I don't *think* Win95
will even take the default route from the static routes option,
although I could be mistaken.

> bits set, it's a host route.  Otherwise, it's a network route with the

The protocol specification doesn't say this, so I think it would be a
mistake to assume it.   This option is simply not useful anymore, and
hasn't been for several years.   The right thing to do is deprecate
it.

			       _MelloN_